WordPress.org

Plugin Directory

Test out the new Plugin Directory and let us know what you think.

Code Embed

Code Embed provides a very easy and efficient way to embed code (JavaScript and HTML) in your posts and pages.

2.2.1

  • Maintenance: Updated branding, inc. adding donation links

2.2

  • Enhancement: Added support for embedding code in excerpts
  • Enhancement: Validated, sanitised and escaped the admin screen data
  • Maintenance: Overhauled the way default options are fetched and/or generated. Now a lot more efficient
  • Maintenance: Updated the admin screens so they are formatted in a similar way to the default WordPress screens
  • Maintenance: Removed hardcoding of plugin folder
  • Maintenance: Updated author and removed donation links
  • Maintenance: Renamed files and file functions - removed prefix from files and update it on functions
  • Maintenance: Added a domain path for translations

2.1.2

  • Maintenance: Added missing text domain, ready for automatic translation.

2.1.1

  • Maintenance: Updated help text
  • Maintenance: Modified admin screen headings so they're compatible with WP4.3
  • Enhancement: Added options to suppress debug output
  • Enhancement: Added donation link to plugin meta. Go on, you know you want to...

2.1

  • Maintenance: Updated plugin branding
  • Maintenance: Removed feature pointer - no longer required
  • Enhancement: Removed support screen and moved remaining admin screens
  • Bug: Fixed issues with translations

2.0.2

  • Enhancement: Fixed minor XSS vulnerability (kindly reported by Mozilla)
  • Enhancement: Shows README appropriate to the current installed version, instead of the latest

2.0.1

  • Enhancement: Removed restriction on embed code length

2.0

  • Maintenance: Removed dashboard widget
  • Maintenance: Further code tidying
  • Maintenance: Added new code for contextual help to use new WP 3.3 elements
  • Enhancement: New admin menu option, under which existing option screens now exist along with a support screen. If you have the README Parser plugin installed then it will also add a sub-menu displaying README instructions
  • Enhancement: Added internationalization to code
  • Enhancement: Will now work with widgets if you install the plugin Widget Logic
  • Enhancement: Added experimental ability to convert to responsive output
  • Enhancement: Added option to specify a URL instead of an embed code
  • Enhancement: Added feature pointer for when plugin is activated

1.6.1

  • Bug: Fixed bug where name of plugin folder was incorrect

1.6

  • Maintenance: Improved code further from 1.5, including separating code into separate includes
  • Enhancement: Added global embeds option
  • Enhancement: New tools option in the administration menu which allows you to search for code embeds

1.5.1

  • Enhancement: Added form security

1.5

  • Maintenance: Renamed plugin to bring in line with new plugin conventions
  • Maintenance: Plugin re-write to create more efficient code - can now also completely personalise the embed code used in the post
  • Maintenance: PHPDoc used throughout for documentation purposes, plus new coding standards
  • Maintenance: Instructions completely re-written
  • Enhancement: Support information improved, including contextual help on the settings screen (if supported) versions of this plugin

1.4.1

  • Bug: Version details as HTML comments were being output whether an embed existed or not - corrected

1.4

  • Enhancement: Option screen which allows you to specify the maximum number of possible embeds per post and the embed word

1.3

  • Enhancement: Increased limit of number of code embeds from 5 to 20

1.2

  • Maintenance: Simplification of code

1.1

  • Maintenance: The instructions have been corrected (thanks to John J. Camilleri for pointing it out!)
  • Maintenance: Plugin has been tested with version 2.8 of WordPress. No code changes have been made

1.0

  • Initial release

Requires: 3.3 or higher
Compatible up to: 4.7.1
Last Updated: 1 month ago
Active Installs: 10,000+

Ratings

4.8 out of 5 stars

Support

0 of 2 support threads in the last two months have been marked resolved.

Got something to say? Need help?

Compatibility

+
=
Not enough data

0 people say it works.
0 people say it's broken.

100,1,1
100,1,1
100,1,1
100,2,2 100,1,1 100,1,1
100,1,1
100,1,1
100,1,1
50,2,1
100,1,1
100,1,1
100,1,1 100,1,1
100,2,2 100,1,1
100,1,1
0,1,0
0,1,0
100,1,1
100,1,1
100,1,1 100,1,1
100,1,1
100,1,1
100,2,2
100,1,1
0,1,0
100,1,1
100,1,1